## kodi-peripheral-joystick 1.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(peripheral.joystick)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

include(CheckIncludeFiles)

# --- Add-on Dependencies ------------------------------------------------------

find_package(Kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(p8-platform REQUIRED)
find_package(PCRE REQUIRED)

include_directories(${INCLUDES}
                    ${PROJECT_SOURCE_DIR}/src
                    ${KODI_INCLUDE_DIR}
                    ${kodiplatform_INCLUDE_DIRS}
                    ${p8-platform_INCLUDE_DIRS}
                    ${PCRE_INCLUDE_DIRS})

set(JOYSTICK_SOURCES src/addon.cpp
                     src/api/Joystick.cpp
                     src/api/JoystickInterfaceCallback.cpp
                     src/api/JoystickManager.cpp
                     src/api/JoystickTranslator.cpp
                     src/api/PeripheralScanner.cpp
                     src/buttonmapper/ButtonMapper.cpp
                     src/buttonmapper/ButtonMapTranslator.cpp
                     src/buttonmapper/ButtonMapUtils.cpp
                     src/buttonmapper/ControllerTransformer.cpp
                     src/buttonmapper/DriverGeometry.cpp
                     src/buttonmapper/JoystickFamily.cpp
                     src/filesystem/DirectoryCache.cpp
                     src/filesystem/DirectoryUtils.cpp
                     src/filesystem/Filesystem.cpp
                     src/filesystem/FileUtils.cpp
                     src/filesystem/generic/ReadableFile.cpp
                     src/filesystem/generic/SeekableFile.cpp
                     src/filesystem/vfs/VFSDirectoryUtils.cpp
                     src/filesystem/vfs/VFSFileUtils.cpp
                     src/log/Log.cpp
                     src/log/LogAddon.cpp
                     src/log/LogConsole.cpp
                     src/settings/Settings.cpp
                     src/storage/ButtonMap.cpp
                     src/storage/Device.cpp
                     src/storage/DeviceConfiguration.cpp
                     src/storage/JustABunchOfFiles.cpp
                     src/storage/StorageManager.cpp
                     src/storage/StorageUtils.cpp
                     src/storage/api/DatabaseJoystickAPI.cpp
                     src/storage/xml/ButtonMapXml.cpp
                     src/storage/xml/DatabaseXml.cpp
                     src/storage/xml/DeviceXml.cpp
                     src/storage/xml/JoystickFamiliesXml.cpp
                     src/utils/StringUtils.cpp)

check_include_files("syslog.h" HAVE_SYSLOG)

if(HAVE_SYSLOG)
  list(APPEND JOYSTICK_SOURCES src/log/LogSyslog.cpp)
endif()

list(APPEND DEPLIBS ${kodiplatform_LIBRARIES}
                    ${p8-platform_LIBRARIES}
                    ${PCRE_LIBRARIES})
add_definitions(${PCRE_DEFINITIONS})

# --- SDL2 ---------------------------------------------------------------------

# SDL game controller support only used by Steam Link
if(STEAMLINK)
  find_package(SDL2)

  if(SDL2_FOUND)
    include_directories(${SDL2_INCLUDE_DIR})

    add_definitions(-DHAVE_SDL)

    list(APPEND JOYSTICK_SOURCES src/api/sdl/JoystickInterfaceSDL.cpp
                                 src/api/sdl/JoystickSDL.cpp)

    list(APPEND DEPLIBS ${SDL2_LIBRARY})
  endif()
endif() # STEAMLINK

# --- Cocoa --------------------------------------------------------------------

if("${CORE_SYSTEM_NAME}" STREQUAL "darwin" OR "${CORE_SYSTEM_NAME}" STREQUAL "osx")
  find_library(COCOA_LIBRARY Cocoa)

  add_definitions(-DHAVE_COCOA)

  list(APPEND JOYSTICK_SOURCES src/api/cocoa/JoystickCocoa.cpp
                               src/api/cocoa/JoystickInterfaceCocoa.cpp)

  list(APPEND DEPLIBS ${COCOA_LIBRARY})
endif()

# --- Linux Joystick API -------------------------------------------------------

if(CORE_SYSTEM_NAME STREQUAL linux)
  check_include_files(linux/joystick.h HAVE_LINUX_JOYSTICK_H)
endif()

if(HAVE_LINUX_JOYSTICK_H)
  add_definitions(-DHAVE_LINUX_JOYSTICK)

  list(APPEND JOYSTICK_SOURCES src/api/linux/JoystickInterfaceLinux.cpp
                               src/api/linux/JoystickLinux.cpp)
endif()

# --- DirectInput --------------------------------------------------------------

if("${CORE_SYSTEM_NAME}" STREQUAL "windows")
  add_definitions(-DHAVE_DIRECT_INPUT)

  list(APPEND JOYSTICK_SOURCES src/api/directinput/JoystickDirectInput.cpp
                               src/api/directinput/JoystickInterfaceDirectInput.cpp)
endif()

# --- XInput -------------------------------------------------------------------

if("${CORE_SYSTEM_NAME}" STREQUAL "windows")
  add_definitions(-DHAVE_XINPUT)

  list(APPEND JOYSTICK_SOURCES src/api/xinput/JoystickInterfaceXInput.cpp
                               src/api/xinput/JoystickXInput.cpp
                               src/api/xinput/XInputDLL.cpp)
endif()

# --- udev ---------------------------------------------------------------------

if(CORE_SYSTEM_NAME STREQUAL linux)
  find_package(udev REQUIRED)
endif()

if(UDEV_FOUND)
  include_directories(${UDEV_INCLUDE_DIRS})

  add_definitions(-DHAVE_UDEV)

  list(APPEND JOYSTICK_SOURCES src/api/udev/JoystickInterfaceUdev.cpp
                               src/api/udev/JoystickUdev.cpp)

  list(APPEND DEPLIBS ${UDEV_LIBRARIES})
endif()

# ------------------------------------------------------------------------------

build_addon(peripheral.joystick JOYSTICK DEPLIBS)

=== debian/changelog ===
kodi-peripheral-joystick (1.3.2-1mx15+1) mx; urgency=medium

  * New upstream release; compatible with Kodi 17.1.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 08 Apr 2017 15:51:45 -0700

kodi-peripheral-joystick (1.2.1-1) jessie; urgency=medium

  * Package for Jessie.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 Feb 2017 15:32:06 -0800

kodi-peripheral-joystick (1.2.1-1) jessie; urgency=low

  * Package for Jessie.

 -- Team Kodi <dummy@kodi.tv>  Sat, 01 Jun 2013 00:59:22 +0200

=== debian/control ===
Source: kodi-peripheral-joystick
Priority: extra
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: wsnipex <wsnipex@a1.net>
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               libkodiplatform-dev (>= 17),
               kodi-addons-dev (>= 17),
#               kodi-peripheral-dev,
               pkg-config,
               libp8-platform-dev,
               libpcre3-dev
Standards-Version: 3.9.6
Section: libs

Package: kodi-peripheral-joystick
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Joystick peripheral addon for Kodi
 Joystick peripheral addon for Kodi

Package: kodi-peripheral-joystick-dbg
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Joystick peripheral addon for Kodi, debug symbols
 debug symbols for joystick peripheral addon for Kodi

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1

override_dh_strip:
	dh_strip -pkodi-peripheral-joystick --dbg-package=kodi-peripheral-joystick-dbg

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-peripheral-joystick

## kodi-peripheral-joystick 1.7.1%2Bds1

=== debian/changelog ===
kodi-peripheral-joystick (1.7.1+ds1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 18 Jun 2021 20:04:14 +0200

kodi-peripheral-joystick (1.7.1+ds1-2) unstable; urgency=medium

  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:51 +0000

kodi-peripheral-joystick (1.7.1+ds1-1) unstable; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 27 Dec 2020 08:41:14 +0000

## kodi-peripheral-joystick 1.7.1+ds1

=== debian/control ===
Source: kodi-peripheral-joystick
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
               cmake,
               kodi-addons-dev (>= 2:19~),
               libudev-dev,
               libtinyxml-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-joystick
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-joystick.git
Homepage: https://kodi.tv

Package: kodi-peripheral-joystick
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PERIPHERALAPI}
Description: Kodi Joystick Library
 This library provides joystick drivers and button maps. Multiple joystick
 APIs are supported, including DirectX, XInput, SDL and the Linux Joystick
 API.

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/peripheral.joystick/releases \
/xbmc/peripheral.joystick/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-peripheral-joystick 19.0.0+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(peripheral.joystick)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

include(CheckIncludeFiles)

# --- Add-on Dependencies ------------------------------------------------------

find_package(Kodi REQUIRED)
find_package(TinyXML REQUIRED)

include_directories(${INCLUDES}
                    ${PROJECT_SOURCE_DIR}/src
                    ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways (becomes done in future)
                    ${TINYXML_INCLUDE_DIRS})

set(JOYSTICK_SOURCES src/addon.cpp
                     src/api/IJoystickInterface.cpp
                     src/api/Joystick.cpp
                     src/api/JoystickInterfaceCallback.cpp
                     src/api/JoystickManager.cpp
                     src/api/JoystickTranslator.cpp
                     src/api/JoystickUtils.cpp
                     src/api/PeripheralScanner.cpp
                     src/buttonmapper/ButtonMapper.cpp
                     src/buttonmapper/ButtonMapTranslator.cpp
                     src/buttonmapper/ButtonMapUtils.cpp
                     src/buttonmapper/ControllerTransformer.cpp
                     src/buttonmapper/DriverGeometry.cpp
                     src/buttonmapper/JoystickFamily.cpp
                     src/buttonmapper/StringRegistry.cpp
                     src/filesystem/DirectoryCache.cpp
                     src/filesystem/DirectoryUtils.cpp
                     src/filesystem/Filesystem.cpp
                     src/filesystem/FileUtils.cpp
                     src/filesystem/generic/ReadableFile.cpp
                     src/filesystem/generic/SeekableFile.cpp
                     src/filesystem/vfs/VFSDirectoryUtils.cpp
                     src/filesystem/vfs/VFSFileUtils.cpp
                     src/log/Log.cpp
                     src/log/LogAddon.cpp
                     src/log/LogConsole.cpp
                     src/settings/Settings.cpp
                     src/storage/ButtonMap.cpp
                     src/storage/Device.cpp
                     src/storage/DeviceConfiguration.cpp
                     src/storage/JustABunchOfFiles.cpp
                     src/storage/MouseTranslator.cpp
                     src/storage/StorageManager.cpp
                     src/storage/StorageUtils.cpp
                     src/storage/api/DatabaseJoystickAPI.cpp
                     src/storage/xml/ButtonMapXml.cpp
                     src/storage/xml/DatabaseXml.cpp
                     src/storage/xml/DeviceXml.cpp
                     src/storage/xml/JoystickFamiliesXml.cpp)

set(JOYSTICK_HEADERS src/addon.h
                     src/api/IJoystickInterface.h
                     src/api/Joystick.h
                     src/api/JoystickInterfaceCallback.h
                     src/api/JoystickManager.h
                     src/api/JoystickTranslator.h
                     src/api/JoystickTypes.h
                     src/api/PeripheralScanner.h
                     src/buttonmapper/ButtonMapper.h
                     src/buttonmapper/ButtonMapTranslator.h
                     src/buttonmapper/ButtonMapTypes.h
                     src/buttonmapper/ButtonMapUtils.h
                     src/buttonmapper/ControllerTransformer.h
                     src/buttonmapper/DriverGeometry.h
                     src/buttonmapper/JoystickFamily.h
                     src/buttonmapper/StringRegistry.h
                     src/filesystem/DirectoryCache.h
                     src/filesystem/DirectoryUtils.h
                     src/filesystem/Filesystem.h
                     src/filesystem/FilesystemTypes.h
                     src/filesystem/FileUtils.h
                     src/filesystem/IDirectoryUtils.h
                     src/filesystem/IFile.h
                     src/filesystem/IFileUtils.h
                     src/filesystem/generic/ReadableFile.h
                     src/filesystem/generic/SeekableFile.h
                     src/filesystem/vfs/VFSDirectoryUtils.h
                     src/filesystem/vfs/VFSFileUtils.h
                     src/log/ILog.h
                     src/log/LogAddon.h
                     src/log/LogConsole.h
                     src/log/Log.h
                     src/settings/Settings.h
                     src/storage/ButtonMap.h
                     src/storage/DeviceConfiguration.h
                     src/storage/Device.h
                     src/storage/IDatabase.h
                     src/storage/JustABunchOfFiles.h
                     src/storage/MouseTranslator.h
                     src/storage/PrimitiveConfiguration.h
                     src/storage/StorageDefinitions.h
                     src/storage/StorageManager.h
                     src/storage/StorageTypes.h
                     src/storage/StorageUtils.h
                     src/storage/api/DatabaseJoystickAPI.h
                     src/storage/xml/ButtonMapDefinitions.h
                     src/storage/xml/ButtonMapXml.h
                     src/storage/xml/DatabaseXml.h
                     src/storage/xml/DeviceXml.h
                     src/storage/xml/JoystickFamiliesXml.h
                     src/storage/xml/JoystickFamilyDefinitions.h
                     src/utils/CommonMacros.h)

if(CORE_SYSTEM_NAME MATCHES windows)
  list(APPEND JOYSTICK_SOURCES src/utils/windows/CharsetConverter.cpp)
  list(APPEND JOYSTICK_HEADERS src/utils/windows/CharsetConverter.h)
endif()

check_include_files("syslog.h" HAVE_SYSLOG)

if(HAVE_SYSLOG)
  list(APPEND JOYSTICK_SOURCES src/log/LogSyslog.cpp)
  list(APPEND JOYSTICK_HEADERS src/log/LogSyslog.h)
endif()

list(APPEND DEPLIBS ${TINYXML_LIBRARIES})

# --- SDL2 ---------------------------------------------------------------------

# SDL game controller support only used by Steam Link
if(CORE_PLATFORM_NAME STREQUAL steamlink)
  find_package(Sdl2)

  if(SDL2_FOUND)
    include_directories(${SDL2_INCLUDE_DIRS})

    add_definitions(-DHAVE_SDL_GAMEPAD)

    list(APPEND JOYSTICK_SOURCES src/api/sdl/JoystickInterfaceSDL.cpp
                                 src/api/sdl/JoystickSDL.cpp)
    list(APPEND JOYSTICK_HEADERS src/api/sdl/JoystickInterfaceSDL.h
                                 src/api/sdl/JoystickSDL.h)

    list(APPEND DEPLIBS ${SDL2_LIBRARIES})
  endif()
endif()

# --- Cocoa --------------------------------------------------------------------

if("${CORE_SYSTEM_NAME}" STREQUAL "darwin" OR "${CORE_SYSTEM_NAME}" STREQUAL "osx")
  find_library(COCOA_LIBRARY Cocoa)

  add_definitions(-DHAVE_COCOA)

  list(APPEND JOYSTICK_SOURCES src/api/cocoa/JoystickCocoa.cpp
                               src/api/cocoa/JoystickInterfaceCocoa.cpp)
  list(APPEND JOYSTICK_HEADERS src/api/cocoa/JoystickCocoa.h
                               src/api/cocoa/JoystickInterfaceCocoa.h)

  list(APPEND DEPLIBS ${COCOA_LIBRARY})
  list(APPEND DEPLIBS "-framework IOKit")
endif()

# --- Linux Joystick API -------------------------------------------------------

if(CORE_SYSTEM_NAME STREQUAL linux)
  check_include_files(linux/joystick.h HAVE_LINUX_JOYSTICK_H)
endif()

if(HAVE_LINUX_JOYSTICK_H)
  add_definitions(-DHAVE_LINUX_JOYSTICK)

  list(APPEND JOYSTICK_SOURCES src/api/linux/JoystickInterfaceLinux.cpp
                               src/api/linux/JoystickLinux.cpp)
  list(APPEND JOYSTICK_HEADERS src/api/linux/JoystickInterfaceLinux.h
                               src/api/linux/JoystickLinux.h)
endif()

# --- DirectInput --------------------------------------------------------------

if("${CORE_SYSTEM_NAME}" STREQUAL "windows")
  add_definitions(-DHAVE_DIRECT_INPUT)

  list(APPEND JOYSTICK_SOURCES src/api/directinput/JoystickDirectInput.cpp
                               src/api/directinput/JoystickInterfaceDirectInput.cpp)
  list(APPEND JOYSTICK_HEADERS src/api/directinput/JoystickDirectInput.h
                               src/api/directinput/JoystickInterfaceDirectInput.h)
endif()

# --- XInput -------------------------------------------------------------------

if("${CORE_SYSTEM_NAME}" MATCHES "windows")
  add_definitions(-DHAVE_XINPUT)

  list(APPEND JOYSTICK_SOURCES src/api/xinput/JoystickInterfaceXInput.cpp
                               src/api/xinput/JoystickXInput.cpp
                               src/api/xinput/XInputDLL.cpp)
  list(APPEND JOYSTICK_HEADERS src/api/xinput/JoystickInterfaceXInput.h
                               src/api/xinput/JoystickXInput.h
                               src/api/xinput/XInputDLL.h)
endif()

# --- udev ---------------------------------------------------------------------

if(CORE_SYSTEM_NAME STREQUAL linux)
  find_package(udev REQUIRED)
endif()

if(UDEV_FOUND)
  include_directories(${UDEV_INCLUDE_DIRS})

  add_definitions(-DHAVE_UDEV)

  list(APPEND JOYSTICK_SOURCES src/api/udev/JoystickInterfaceUdev.cpp
                               src/api/udev/JoystickUdev.cpp)
  list(APPEND JOYSTICK_HEADERS src/api/udev/JoystickInterfaceUdev.h
                               src/api/udev/JoystickUdev.h)

  list(APPEND DEPLIBS ${UDEV_LIBRARIES})
endif()

# ------------------------------------------------------------------------------

set(LINUX_SELECT_LINE "\
        <setting id=\"driver_linux\" type=\"integer\" label=\"30001\">
          <default>0</default>
          <constraints>
            <options>
              <option label=\"30005\">0</option>
              <option label=\"30007\">1</option>
              <option label=\"30002\">2</option>
            </options>
          </constraints>
          <control type=\"list\" format=\"string\"/>
        </setting>")

set(SDL_SELECT_LINE "\
        <setting id=\"driver_sdl\" type=\"integer\" label=\"30001\">
          <default>0</default>
          <constraints>
            <options>
              <option label=\"30008\">0</option>
              <option label=\"30005\">1</option>
              <option label=\"30007\">2</option>
              <option label=\"30002\">3</option>
            </options>
          </constraints>
          <control type=\"list\" format=\"string\"/>
        </setting>")

set(OSX_SELECT_LINE  "\
        <setting id=\"driver_osx\" type=\"integer\" label=\"30001\">
          <default>0</default>
          <constraints>
            <options>
              <option label=\"30006\">0</option>
              <option label=\"30002\">1</option>
            </options>
          </constraints>
          <control type=\"list\" format=\"string\"/>
        </setting>")

set(XINPUT_CHECK_LINE "\
        <setting id=\"driver_xinput\" type=\"boolean\" label=\"30003\">
          <default>true</default>
          <control type=\"toggle\"/>
        </setting>")

set(DIRECTINPUT_CHECK_LINE "\
        <setting id=\"driver_directinput\" type=\"boolean\" label=\"30004\">
          <default>true</default>
          <control type=\"toggle\"/>
        </setting>")

# Write settings.xml.include
if(CORE_SYSTEM_NAME MATCHES windows)
  set(XINPUT_CHECK "${XINPUT_CHECK_LINE}")
  if(CORE_SYSTEM_NAME STREQUAL windows)
    set(DIRECTINPUT_CHECK "${DIRECTINPUT_CHECK_LINE}")
  endif()
elseif(CORE_SYSTEM_NAME STREQUAL osx)
  set(OSX_SELECT "${OSX_SELECT_LINE}")
else()
  if(SDL2_FOUND)
    set(SDL_SELECT "${SDL_SELECT_LINE}")
  else()
    set(LINUX_SELECT "${LINUX_SELECT_LINE}")
  endif()
endif()

# ------------------------------------------------------------------------------

build_addon(peripheral.joystick JOYSTICK DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-peripheral-joystick (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:31 +0000

kodi-peripheral-joystick (1.7.2+ds1-1) unstable; urgency=medium

  * New upstream version 1.7.2+ds1
  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:30:33 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                kodi-addons-dev (>= 2:19~),
                libudev-dev,
                libtinyxml-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-joystick
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-joystick.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/peripheral.joystick/releases \
/xbmc/peripheral.joystick/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-peripheral-joystick 19.0.1%2Bds1

=== debian/changelog ===
kodi-peripheral-joystick (19.0.1+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:42:18 +0000

kodi-peripheral-joystick (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:49:38 +0000

## kodi-peripheral-joystick 19.0.1+ds1

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                libudev-dev,
                libtinyxml-dev
 Standards-Version: 4.6.0

## kodi-peripheral-joystick 20.1.0+ds1

=== debian/changelog ===
kodi-peripheral-joystick (20.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.1.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:55:27 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                libudev-dev,
                libtinyxml-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-joystick
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-joystick.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/peripheral.joystick/releases \
/xbmc/peripheral.joystick/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-peripheral-joystick 20.1.3+ds

=== debian/changelog ===
kodi-peripheral-joystick (20.1.3+ds-1) unstable; urgency=medium

  * New upstream version 20.1.3+ds
  * Bmp copyright years
  * d/watch: Fix repack suffix

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 22 Jan 2023 14:45:02 +0000

kodi-peripheral-joystick (20.1.1+ds1-1) unstable; urgency=medium

  * New upstream version 20.1.1+ds1
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:55:13 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake,
                libudev-dev,
                libtinyxml-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-joystick
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-joystick.git

## kodi-peripheral-joystick 20.1.15+ds

=== debian/changelog ===
kodi-peripheral-joystick (20.1.15+ds-1) unstable; urgency=medium

  * New upstream version 20.1.15+ds
  * d/gbp.conf: Fix debian and upstream branches

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 04 Feb 2024 08:40:29 +0000

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/peripheral.joystick \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-peripheral-joystick 20.1.18+ds

=== debian/changelog ===
kodi-peripheral-joystick (20.1.18+ds-1) unstable; urgency=medium

  * New upstream version 20.1.18+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 03 Jul 2024 05:47:23 +0000

## kodi-peripheral-joystick 21.1.18+ds

=== debian/changelog ===
kodi-peripheral-joystick (21.1.18+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:13:14 +0000

kodi-peripheral-joystick (21.1.18+ds-1) unstable; urgency=medium

  * New upstream version 21.1.18+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:56:49 +0000

kodi-peripheral-joystick (21.1.11+ds-1) experimental; urgency=medium

  * New upstream version 21.1.11+ds
  * Branch out experimental
  * Modernize package
  * New release 20.1.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:09:35 +0000

## kodi-peripheral-joystick 21.1.20+ds

=== debian/changelog ===
kodi-peripheral-joystick (21.1.20+ds-1) unstable; urgency=high

  * New upstream version 21.1.20+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 07 Jan 2025 19:12:39 +0000

## kodi-peripheral-joystick 21.1.22+ds

=== debian/changelog ===
kodi-peripheral-joystick (21.1.22+ds-1) unstable; urgency=high

  * New upstream version 21.1.22+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:45:24 +0000

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
                libudev-dev,
                libtinyxml-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-joystick
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-joystick.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-peripheral-joystick.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-peripheral-joystick

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/xbmc/peripheral.joystick \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian

## kodi-peripheral-joystick 21.1.23+ds

=== debian/changelog ===
kodi-peripheral-joystick (21.1.23+ds-1) unstable; urgency=high

  * New upstream version 21.1.23+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 08 Nov 2025 09:14:36 +0000
